MEMBERS(1)

NAME
members - outputs members of a group

SYNOPSIS
members groupname

DESCRIPTION
This manual page documents briefly the members commands. This manual page was written for the Debian GNU/Linux distribution.

members is a program that sends a space-separated list of secondary member names to its standard output.

OPTIONS
The programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-a, --all
    Show all group members on one line. This is the default.

-p, --primary
    Show only primary group members.

-s, --secondary
    Show only secondary group members.

-t, --two-lines
    Send two lines to standard output. First line is primary members, second line is secondary members. NOTE: This always displays two lines, even if there are no members at all.

-h, --help
    Show summary of options.

DIAGNOSTICS

Exit status is 0 (i.e. "success") if the group was found, and 1 (i.e., "failure") if the group was not found.

Technically, the exit status hinges on the output of getgrnam(3) as follows: if getgrnam(3) returns a null pointer, the exit status is 1, and 0 otherwise.

BUGS
I don't know of any! If you find one, please let me know!

SEE ALSO
groups(1)

AUTHOR
This manual page was written by Jim Lynch <jim@laney.edu>, for the Debian GNU/Linux system (but may be used by others).